de Klapper Club


Klapperend through life!

Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Information


Tag: de Klapper Club |
Language: English
Created: 16 Jul 2023 13:54 UTC
Supported Game
Euro Truck Simulator 2
DLCs Required: 0
Owner: 'korisch.
Members: 119
Recruitment: Open

Our Events

de Klapper Club | May Convoy

de Klapper Club | May Convoy

Thu, May 30, 2024 18:00

ETS2

Convoy

Event Server

107 3 13

de Klapper Club | June Convoy

de Klapper Club | June Convoy

Sun, Jun 23, 2024 18:00

ETS2

Convoy

To be determined

8 0 3

View more

Our Gallery

  • darkblurbg
  • darkblurbg
  • darkblurbg
View more

Latest VTC Posts

📣| OUR VTC HAS REACHED 50 DRIVERS!

de Klapper Club has more drivers!

28 Jan 14:39 UTC   |   Sαlvíα.

📣| WE HAVE successfully completed Private Convoy #1!

A nice event with our drivers...

25 Jan 12:00 UTC   |   Sαlvíα.

📣| OUR AWARD-WINNING TRUCKSBOOK SYSTEM HAS STARTED!

de Klapper Club has joined the Trucksbook system!

16 Jan 15:18 UTC   |   Sαlvíα.

📣| WE ARE NOW USING TRACKSIM

de Klapper Club's Tracksim for drivers.

22 Dec 2023 15:14 UTC   |   'korisch.

📣| WE CHANGED OUR DISCORD SERVER

de Klapper Club's Discord Server Changing.

21 Dec 2023 17:34 UTC   |   'korisch.

Rules

Events We Are Attending

THE SEM COMMUNITY CONVOY #4

THE SEM COMMUNITY CONVOY #4

Starting 14 hours from now

ETS2

Convoy

Simulation 2

13 0 3

de Klapper Club | May Convoy

de Klapper Club | May Convoy

Thu, May 30, 2024 18:00

ETS2

Convoy

Event Server

107 3 13

View more

CONTACT US

Want to know more information or have a question?

By Website By Email

Social

Requirements

To join de Klapper Club, you must meet the following requirements:

  • Being at least 16 years old.

  • Must able to know English that you can communicate with people.

  • Must have original version of Euro Truck Simulator 2.

  • Your truck style should match with us. (Dutch, Norwegian, Swedish or similar style trucks.)

  • Maximum 4 Active-Bans.

  • Should know save-editing to keep pace with us

  • Having more than 250 hours in ETS2 or ATS (can be combined)

  • TruckersMP account must have been held for at least 1 month.

DLC Requirements

No DLCs Required

Members

'korisch.
'korisch.
▹👑 Founder
Sαlvíα.
Sαlvíα.
▹💠 General Manager
Pαrseαs'
Pαrseαs'
▹💠 Community Manager
spinach bagel'
spinach bagel'
▹💠 Human Resources Manager
'Coff.
'Coff.
▹💠 Event Management
'кαησ.
'кαησ.
▹💠 Event Management
View more